This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301730 - [abrt] hamster-time-tracker: strlen(): python2.7 killed by SIGSEGV
[abrt] hamster-time-tracker: strlen(): python2.7 killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1307256
Product: Fedora
Classification: Fedora
Component: hamster-time-tracker (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c30b681aa04dedee928feaba429...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 15:48 EST by piio
Modified: 2016-02-13 13:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 09:04:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (127.69 KB, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: cgroup (259 bytes, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: core_backtrace (10.45 KB, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: dso_list (12.34 KB, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: environ (827 bytes, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: exploitable (117 bytes, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: maps (49.31 KB, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: mountinfo (3.72 KB, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: open_fds (878 bytes, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: proc_pid_status (1.25 KB, text/plain)
2016-01-25 15:48 EST, piio
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-25 15:49 EST, piio
no flags Details

  None (edit)
Description piio 2016-01-25 15:48:37 EST
Version-Release number of selected component:
hamster-time-tracker-2.0-0.1.rc1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        python2 /usr/bin/hamster-service
crash_function: strlen
executable:     /usr/bin/python2.7
global_pid:     23319
kernel:         4.5.0-0.rc0.git9.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 _ih_sub_new at inotify-sub.c:38
 #3 g_inotify_file_monitor_start at ginotifyfilemonitor.c:64
 #4 g_local_file_monitor_start at glocalfilemonitor.c:777
 #5 g_local_file_monitor_new_for_path at glocalfilemonitor.c:861
 #6 g_file_monitor_file at gfile.c:5328
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:525
 #9 pygi_invoke_c_callable at pygi-invoke.c:674
 #10 pygi_function_cache_invoke at pygi-cache.c:859
Comment 1 piio 2016-01-25 15:48:45 EST
Created attachment 1118202 [details]
File: backtrace
Comment 2 piio 2016-01-25 15:48:46 EST
Created attachment 1118203 [details]
File: cgroup
Comment 3 piio 2016-01-25 15:48:48 EST
Created attachment 1118204 [details]
File: core_backtrace
Comment 4 piio 2016-01-25 15:48:49 EST
Created attachment 1118205 [details]
File: dso_list
Comment 5 piio 2016-01-25 15:48:50 EST
Created attachment 1118206 [details]
File: environ
Comment 6 piio 2016-01-25 15:48:52 EST
Created attachment 1118207 [details]
File: exploitable
Comment 7 piio 2016-01-25 15:48:53 EST
Created attachment 1118208 [details]
File: limits
Comment 8 piio 2016-01-25 15:48:55 EST
Created attachment 1118209 [details]
File: maps
Comment 9 piio 2016-01-25 15:48:56 EST
Created attachment 1118210 [details]
File: mountinfo
Comment 10 piio 2016-01-25 15:48:58 EST
Created attachment 1118211 [details]
File: open_fds
Comment 11 piio 2016-01-25 15:48:59 EST
Created attachment 1118212 [details]
File: proc_pid_status
Comment 12 piio 2016-01-25 15:49:01 EST
Created attachment 1118213 [details]
File: var_log_messages
Comment 13 Raphael Groner 2016-01-26 07:40:09 EST
Unfortunately, the provided backtrace is not useful.
What did you do to cause the crash? Can you reproduce?
Comment 14 piio 2016-01-27 03:00:07 EST
Hi,

I reinstalled python and glib packages, there were also some updates, now in rawhide this problem don't happen again.
If it happen again I will submit it as new bug.
Comment 15 Raphael Groner 2016-02-13 13:37:37 EST

*** This bug has been marked as a duplicate of bug 1307256 ***

Note You need to log in before you can comment on or make changes to this bug.